## purple-protocol-facebook 1.36-0nix0

=== Makefile ===
#Customisable stuff here
LINUX32_COMPILER = i686-pc-linux-gnu-gcc
LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc
WIN32_COMPILER = /usr/bin/i586-mingw32-gcc
#LINUX_ARM_COMPILER = arm-pc-linux-gnu-gcc
LINUX_ARM_COMPILER = arm-none-linux-gnueabi-gcc
LINUX_PPC_COMPILER = powerpc-unknown-linux-gnu-gcc
FREEBSD60_COMPILER = i686-pc-freebsd6.0-gcc

LIBPURPLE_CFLAGS = -I/usr/include/libpurple -I/usr/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include
WIN32_DEV_DIR = /root/pidgin/win32-dev
WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.1.1_win32
WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include
WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lintl -lpurple -lws2_32

DEB_PACKAGE_DIR = ./debdir

#Standard stuff here
.PHONY:	all clean install sourcepackage

all:	libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so installers sourcepackage

install:
	cp libfacebook.so /usr/lib/purple-2/
	cp libfacebook64.so /usr/lib64/purple-2/
	cp libfacebookarm.so /usr/lib/pidgin/
	cp libfacebookppc.so /usr/lib/purple-2/
	cp facebook16.png /usr/share/pixmaps/pidgin/protocols/16/facebook.png
	cp facebook22.png /usr/share/pixmaps/pidgin/protocols/22/facebook.png
	cp facebook48.png /usr/share/pixmaps/pidgin/protocols/48/facebook.png

installers:	pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2

clean:
	rm -f libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2 pidgin-facebookchat-source.tar.bz2

libfacebook.so:	libfacebook.c
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libfacebook.c -o libfacebook.so -shared -fPIC -DPIC

libfacebookarm.so:	libfacebook.c
	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libfacebook.c -o libfacebookarm.so -shared -fPIC -DPIC

libfacebook64.so:	libfacebook.c
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -m32 -m64 -O2 -pipe libfacebook.c -o libfacebook64.so -shared -fPIC -DPIC

libfacebookppc.so:	libfacebook.c
	${LINUX_PPC_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libfacebook.c -o libfacebookppc.so -shared -fPIC -DPIC

libfacebook.dll:	libfacebook.c
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe libfacebook.c -o libfacebook.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
	upx libfacebook.dll

libfacebook-debug.dll:	libfacebook.c
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe libfacebook.c -o libfacebook-debug.dll -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS}
	
libfacebookbsd60.so:	libfacebook.c
	${FREEBSD60_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -pthread ${GLIB_CFLAGS} -I. -g -O2 -pipe libfacebook.c -o libfacebook.so -shared -fPIC -DPIC


pidgin-facebookchat.exe:	libfacebook.dll
	echo "Dont forget to update version number"
	makensis facebook.nsi > /dev/null
	
pidgin-facebookchat.deb:	libfacebook.so libfacebookarm.so libfacebook64.so libfacebookppc.so
	echo "Dont forget to update version number"
	cp libfacebook.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	cp libfacebookppc.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	cp libfacebook64.so ${DEB_PACKAGE_DIR}/usr/lib64/purple-2/
	cp libfacebookarm.so ${DEB_PACKAGE_DIR}/usr/lib/pidgin/
	cp facebook16.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/16/facebook.png
	cp facebook22.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/22/facebook.png
	cp facebook48.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/48/facebook.png
	dpkg-deb --build ${DEB_PACKAGE_DIR} $@ > /dev/null

pidgin-facebookchat.tar.bz2:	pidgin-facebookchat.deb
	tar --bzip2 --directory ${DEB_PACKAGE_DIR} -cf $@ usr/

sourcepackage:	libfacebook.c Makefile facebook16.png facebook22.png facebook48.png COPYING facebook.nsi
	tar --bzip2 -cf pidgin-facebookchat-source.tar.bz2 $^

=== debian/changelog ===
purple-protocol-facebook (1.36-0nix0) unstable; urgency=low

  * Moved up to 1.36

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun,  5 Oct 2008 11:29:18 +0300

purple-protocol-facebook (1.28-0nix0) unstable; urgency=low

  * Initial port

 -- Gabriel Schulhof <nix@go-nix.ca>  Sat, 12 Jul 2008 20:54:14 +0300

=== debian/control ===
Source: purple-protocol-facebook
Section: user/communication
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0), libpurple-dev, pidgin-dev
Standards-Version: 3.6.0

Package: purple-protocol-facebook
Section: user/instantmessaging
Architecture: any
Depends: ${shlibs:Depends}
Description: Pidgin Facebook support
XB-Maemo-Display-Name: Pidgin Facebook Support
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgIfAhkiAAAAAlwSFlzAAAGZQAABmUBzYteJwAAABl0RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAMTSURBVEiJvZbPixxVEMc/9V73TPfMbNxdN9HVJBsicUVyCgZDjkbwB6JnJQcJ/gcxkKvn+AeIByEQMAgeEhAEExEFTUIIniRLBNfLJtGsGVa3Z3f7vVcedna2e3rSoyJbUNCvurq+r6q+r16LqrITYnYEBYiGDQdePXekkZqXwf7HkJ6NXriy+OWZW0WrFEt36M0P3zowP/9pI2mlRiCODLEVImuQrZ1ZgwuhEj73ivMB55QsW+0tLiy8fefy+5dGZpR02qfiZCLNNvymYX0roP9XOaXJRNrstE8Bo4HiyMYiHtXxgUXghUOP8/rRp5meaA7sZz+5hYinYWxc9I+GP7YCGsYDvffas5w88UzFbkSxIsgQzUpAVkwfqNqDosTW8MaL+wbr67d/5+elFQDW13MmWg1Eyt+UM0KxRseWbv+eNpOdBgBLyxlnPv6B4nGcNDF2CKlCb0FrM/rg3aM8Pzc1WM/sanLh7EsAnP7oe+4uZwjVIVABQrW2R7NTKbPTrcG6EVv27+kAEJt+f0dMmxKQAqqhtnQXv17gublp3jkxD8Dd5VU+++YOAMsrGaqeKAIb2dKJLwFF1lorUlu6r27+yuK9lQHQb92Mi1dvl3ycCxBCKa2o7JB75/Lx9C5kHHy11ME5nPel3VZ6pIxnnep2DBeqB1z/CRlU61kH5XPmfaj4j7p6KkBGlPm9u2qB5p5oD56Thq34Z24c6xRAOX74qVqgmcltoMfazYr/lR/vVRhemkgaArmrL9uwjCpT7gJ+qJyljLwGcudwPhDZR1++ufPc/+MvAB7+2Su9c34zxnDfSkDdle53T+7b+8oX134x7YbFCIgIZnhARhGXv10o2QKgAVY3HMSd8LD74JqIJKq6NgASkRRoNWcOfi7u5OGp3bPHupGJrCBWMNYgqmpABVVJW0nUy9YcIgqiIhJ8QL0SNnIfHtz/6frSjfOXgN0ikgHZ4CoXkQRI+5oUtNnXuL8xCwibE8sDDsiB9b6uFbQH9FR1Tep+t0RE2CaMFHRLtKAAQR8RsBbo/5Qd+6/7G8CNYdgkJsW5AAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall
PURPLE_LIBDIR=$(shell pkg-config --variable=libdir purple)
PIDGIN_DATADIR=$(shell pkg-config --variable=datadir pidgin)
INSTALL_DIR=$(CURDIR)/debian/tmp

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

clean:
	dh_clean
	rm -f *so
	rm -f *stamp

build: build-stamp

build-stamp:
	cc -shared $(CFLAGS) `pkg-config --cflags --libs purple` libfacebook.c -o libfacebook.so
	touch build-stamp

install: build
	mkdir -p $(INSTALL_DIR)/$(PURPLE_LIBDIR)/purple-2
	cp -a libfacebook.so $(INSTALL_DIR)/$(PURPLE_LIBDIR)/purple-2

	mkdir -p $(INSTALL_DIR)/$(PIDGIN_DATADIR)/pixmaps/pidgin/protocols/16/
	cp facebook16.png $(INSTALL_DIR)/$(PIDGIN_DATADIR)/pixmaps/pidgin/protocols/16/facebook.png

	mkdir -p $(INSTALL_DIR)/$(PIDGIN_DATADIR)/pixmaps/pidgin/protocols/22/
	cp facebook22.png $(INSTALL_DIR)/$(PIDGIN_DATADIR)/pixmaps/pidgin/protocols/22/facebook.png

	mkdir -p $(INSTALL_DIR)/$(PIDGIN_DATADIR)/pixmaps/pidgin/protocols/48/
	cp facebook48.png $(INSTALL_DIR)/$(PIDGIN_DATADIR)/pixmaps/pidgin/protocols/48/facebook.png

binary-arch: binary

binary: install
	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
	  $(CURDIR)/debian/scripts/add-icons-to-control; \
	fi

	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp --fail-missing -v
	dh_gconf
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	for dbg in `cat $(CURDIR)/debian/control | grep '^Package:' | grep --regex='-dbg$$' | awk '{print $$2;}' | sed 's/-dbg$$//'`; do \
		echo dh_strip --dbg-package=$$dbg; \
		dh_strip --dbg-package=$$dbg; \
	done
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs -V "libpurple0 (>= $(major).0)"

	# some dh_*-generated pre- and post- -inst and -rm segments may pass args unknown to some busybox coreutils
	for script in `ls $(CURDIR)/debian/*.p{re,ost}{inst,rm}.* 2> /dev/null`; do \
		cat $$script | sed -r -e 's/-p --ignore-fail-on-non-empty (.*$)/\1 || true/' > $$script.new && \
			mv $$script.new $$script; \
	done

	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums

	dh_builddeb

	# remove icons added earlier
	if test -x $(CURDIR)/debian/scripts/add-icons-to-control; then \
	  $(CURDIR)/debian/scripts/add-icons-to-control --remove; \
	fi
	
squeaky: clean
	rm -rf \
		debian/tmp \
		$(shell cat debian/control | grep 'Package:' | awk '{print "../" $$2 "_*{deb,dsc,gz,changes}";}') \
		$(shell find | grep 'Makefile\.in$$') \
		aclocal.m4 compile config.guess config.h.in config.sub configure depcomp \
		install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh Makefile.in missing mkinstalldirs

.PHONY: clean build binary install squeaky binary-arch

## purple-protocol-facebook 1.36-0nix1

=== debian/changelog ===
purple-protocol-facebook (1.36-0nix1) unstable; urgency=low

  * Depend on sharutils for uuencoding the icon

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun,  5 Oct 2008 18:20:56 +0300

## purple-protocol-facebook 1.36-0nix2

=== debian/changelog ===
purple-protocol-facebook (1.36-0nix2) unstable; urgency=low

  * add -DPURPLE_PLUGINS, because #define PURPLE_PLUGIN is incorrect

 -- Gabriel Schulhof <nix@go-nix.ca>  Mon,  6 Oct 2008 21:15:50 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/communication
 Priority: optional
 Maintainer: Gabriel Schulhof <nix@go-nix.ca>
-Build-Depends: debhelper (>= 4.0.0), libpurple-dev, pidgin-dev
+Build-Depends: debhelper (>= 4.0.0), libpurple-dev, pidgin-dev, sharutils
 Standards-Version: 3.6.0
 
 Package: purple-protocol-facebook

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 build: build-stamp
 
 build-stamp:
-	cc -shared $(CFLAGS) `pkg-config --cflags --libs purple` libfacebook.c -o libfacebook.so
+	cc -shared $(CFLAGS) -DPURPLE_PLUGINS `pkg-config --cflags --libs purple` libfacebook.c -o libfacebook.so
 	touch build-stamp
 
 install: build

## purple-protocol-facebook 1.61-0nix0

=== Makefile ===
#Customisable stuff here
LINUX32_COMPILER = i686-pc-linux-gnu-gcc
LINUX64_COMPILER = x86_64-pc-linux-gnu-gcc
WIN32_COMPILER = /usr/bin/i586-mingw32-gcc
WIN32_WINDRES = i586-mingw32-windres
#LINUX_ARM_COMPILER = arm-pc-linux-gnu-gcc
LINUX_ARM_COMPILER = gcc
LINUX_PPC_COMPILER = powerpc-unknown-linux-gnu-gcc
FREEBSD60_COMPILER = i686-pc-freebsd6.0-gcc
MACPORT_COMPILER = i686-apple-darwin9-gcc-4.0.1

LIBPURPLE_CFLAGS = -I/usr/include/libpurple -I/usr/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/include/json-glib-1.0 -ljson-glib-1.0
WIN32_DEV_DIR = /root/pidgin/win32-dev
WIN32_PIDGIN_DIR = /root/pidgin/pidgin-2.3.0_win32
WIN32_CFLAGS = -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_PIDGIN_DIR}/libpurple/win32 -I${WIN32_DEV_DIR}/gtk_2_0/include -I${WIN32_DEV_DIR}/gtk_2_0/include/glib-2.0 -I${WIN32_DEV_DIR}/gtk_2_0/lib/glib-2.0/include -I/usr/include/json-glib-1.0 -Wno-format
WIN32_LIBS = -L${WIN32_DEV_DIR}/gtk_2_0/lib -L${WIN32_PIDGIN_DIR}/libpurple -lglib-2.0 -lgobject-2.0 -lintl -lpurple -lws2_32 -L. -ljson-glib-1.0 -lzlib1
MACPORT_CFLAGS = -I/opt/local/include/libpurple -DPURPLE_PLUGINS -DENABLE_NLS -DHAVE_ZLIB -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -I/opt/local/include/json-glib-1.0 -arch i386 -arch ppc -dynamiclib -L/opt/local/lib -ljson-glib-1.0 -lpurple -lglib-2.0 -lgobject-2.0 -lintl -lz -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4

DEB_PACKAGE_DIR = ./debdir

FACEBOOK_SOURCES = \
	libfacebook.h \
	libfacebook.c \
	fb_blist.h \
	fb_blist.c \
	fb_connection.h \
	fb_connection.c \
	fb_conversation.h \
	fb_conversation.c \
	fb_info.h \
	fb_info.c \
	fb_managefriends.h \
	fb_managefriends.c \
	fb_messages.h \
	fb_messages.c \
	fb_notifications.h \
	fb_notifications.c \
	fb_search.h \
	fb_search.c \
	fb_util.h \
	fb_util.c \
	fb_friendlist.h \
	fb_friendlist.c \
	fb_json.h \
	fb_json.c

#Standard stuff here
.PHONY:	all clean install sourcepackage

all:	libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so installers sourcepackage

install:
	cp libfacebook.so /usr/lib/purple-2/
	cp libfacebook64.so /usr/lib64/purple-2/
	cp libfacebookarm.so /usr/lib/pidgin/
	cp libfacebookppc.so /usr/lib/purple-2/
	cp facebook16.png /usr/share/pixmaps/pidgin/protocols/16/facebook.png
	cp facebook22.png /usr/share/pixmaps/pidgin/protocols/22/facebook.png
	cp facebook48.png /usr/share/pixmaps/pidgin/protocols/48/facebook.png

installers:	pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2

clean:
	rm -f libfacebook.so libfacebook.dll libfacebook64.so libfacebookarm.so libfacebookppc.so pidgin-facebookchat.exe pidgin-facebookchat.deb pidgin-facebookchat.tar.bz2 pidgin-facebookchat-source.tar.bz2
	rm -rf pidgin-facebookchat

libfacebook.so:	${FACEBOOK_SOURCES}
	${LINUX32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.so -shared -fPIC -DPIC

libfacebookarm.so:	${FACEBOOK_SOURCES}
	${LINUX_ARM_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookarm.so -shared -fPIC -DPIC

libfacebook64.so:	${FACEBOOK_SOURCES}
	${LINUX64_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -m64 -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook64.so -shared -fPIC -DPIC

libfacebookppc.so:	${FACEBOOK_SOURCES}
	${LINUX_PPC_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookppc.so -shared -fPIC -DPIC

libfacebookmacport.so: ${FACEBOOK_SOURCES}
	${MACPORT_COMPILER} ${MACPORT_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebookmacport.so -shared

pidgin-facebookchat.res:	pidgin-facebookchat.rc
	${WIN32_WINDRES} $< -O coff -o $@

libfacebook.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS} -Wl,--strip-all
	upx libfacebook.dll

libfacebook-debug.dll:	${FACEBOOK_SOURCES} pidgin-facebookchat.res
	${WIN32_COMPILER} ${LIBPURPLE_CFLAGS} -Wall -I. -g -O2 -pipe ${FACEBOOK_SOURCES} pidgin-facebookchat.res -o $@ -shared -mno-cygwin ${WIN32_CFLAGS} ${WIN32_LIBS}

libfacebookbsd60.so:	${FACEBOOK_SOURCES}
	${FREEBSD60_COMPILER} ${LIBPURPLE_CFLAGS} -Wall ${GLIB_CFLAGS} -I. -g -O2 -pipe ${FACEBOOK_SOURCES} -o libfacebook.so -shared -fPIC -DPIC


pidgin-facebookchat.exe:	libfacebook.dll
	echo "Dont forget to update version number"
	makensis facebook.nsi > /dev/null
	
pidgin-facebookchat.deb:	libfacebook.so libfacebookarm.so libfacebook64.so libfacebookppc.so
	echo "Dont forget to update version number"
	cp libfacebook.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	cp libfacebookppc.so ${DEB_PACKAGE_DIR}/usr/lib/purple-2/
	cp libfacebook64.so ${DEB_PACKAGE_DIR}/usr/lib64/purple-2/
	cp libfacebookarm.so ${DEB_PACKAGE_DIR}/usr/lib/pidgin/
	cp facebook16.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/16/facebook.png
	cp facebook22.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/22/facebook.png
	cp facebook48.png ${DEB_PACKAGE_DIR}/usr/share/pixmaps/pidgin/protocols/48/facebook.png
	chown -R root:root ${DEB_PACKAGE_DIR}
	chmod -R 755 ${DEB_PACKAGE_DIR}
	dpkg-deb --build ${DEB_PACKAGE_DIR} $@ > /dev/null

pidgin-facebookchat.tar.bz2:	pidgin-facebookchat.deb
	tar --bzip2 --directory ${DEB_PACKAGE_DIR} -cf $@ usr/

sourcepackage:	${FACEBOOK_SOURCES} Makefile facebook16.png facebook22.png facebook48.png COPYING facebook.nsi
	tar -cf tmp.tar $^
	mkdir pidgin-facebookchat
	mv tmp.tar pidgin-facebookchat
	tar xvf pidgin-facebookchat/tmp.tar -C pidgin-facebookchat
	rm pidgin-facebookchat/tmp.tar
	tar --bzip2 -cf pidgin-facebookchat-source.tar.bz2 pidgin-facebookchat
	rm -rf pidgin-facebookchat

=== debian/changelog ===
purple-protocol-facebook (1.61-0nix0) unstable; urgency=low

  * Moved up to 1.61
  * Moved to user/network
  * Re-did the building
  * Added monotone tracking

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 27 Sep 2009 18:03:41 +0300

purple-protocol-facebook (1.36-0nix3) unstable; urgency=low

  * Moved to user/communication

 -- Gabriel Schulhof <nix@go-nix.ca>  Sun, 12 Oct 2008 09:37:09 +0300

=== debian/control ===
Source: purple-protocol-facebook
Section: misc
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0), pidgin-dev, debhelper-maemo-package-icons, libjson-glib-dev
Standards-Version: 3.6.0

Package: purple-protocol-facebook
Section: user/network
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpurple0
Description: Pidgin Facebook Support
XB-Maemo-Display-Name: Pidgin Facebook Support

Package: purple-protocol-facebook-dbg
Section: devel
Architecture: any
Depends: purple-protocol-facebook (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for purple-protocol-facebook

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
PURPLE_LIBDIR ?= $(shell pkg-config --variable libdir purple)
PURPLE_DATADIR ?= $(shell pkg-config --variable datadir purple)
PIDGIN_DATADIR ?= $(shell pkg-config --variable datadir pidgin)
LIB_INSTALL_DIR = $(CURDIR)/debian/tmp/$(PURPLE_LIBDIR)/purple-2
PIX_INSTALL_DIR = $(CURDIR)/debian/tmp/$(PIDGIN_DATADIR)/pixmaps/pidgin/protocols
CERT_INSTALL_DIR = $(CURDIR)/debian/tmp/$(PURPLE_DATADIR)/purple/ca-certs


CFLAGS = -Wall -g -DUSE_HILDON

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use soft-float and thumb mode if enabled. 
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: libfacebookarm.so
	echo -e '\033[7mtarget: build\033[0m'

libfacebookarm.so:
	echo -e '\033[7mtarget: build-stamp\033[0m'
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) libfacebookarm.so

clean:
	echo -e '\033[7mtarget: clean\033[0m'
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean
	rm -f debian/copyright

install: build
	echo -e '\033[7mtarget: build\033[0m'
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	echo -e '\033[7mMaking install\033[0m'
	# Add here commands to install the package into debian/tmp
	mkdir -p $(LIB_INSTALL_DIR)
	cp libfacebookarm.so $(LIB_INSTALL_DIR)
	cp COPYRIGHT debian/copyright

	for proto_icon in $$(ls | grep 'facebook[0-9]*\.png'); do \
		SIZE=$$(echo $$proto_icon | sed s/[^0-9]//g); \
		mkdir -p $(PIX_INSTALL_DIR)/$$SIZE/; \
		cp facebook$$SIZE.png $(PIX_INSTALL_DIR)/$$SIZE/facebook.png; \
	done

	mkdir -p $(CERT_INSTALL_DIR)
	cp *.pem $(CERT_INSTALL_DIR)

# Build architecture-independent files here.
binary-indep: build install
	echo -e '\033[7mtarget: binary-indep\033[0m'
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	echo -e '\033[7mtarget: binary-arch\033[0m'

	dh_maemo_package_icons
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	for dbg in `cat $(CURDIR)/debian/control | grep '^Package:' | grep --regex='-dbg$$' | awk '{print $$2;}' | sed 's/-dbg$$//'`; do \
		echo dh_strip --dbg-package=$$dbg; \
		dh_strip --dbg-package=$$dbg; \
	done
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_maemo_package_icons --remove

binary: binary-indep binary-arch
	echo -e '\033[7mtarget: binary\033[0m'

squeaky: clean
	rm -rf \
		aclocal.m4 config.guess config.sub configure depcomp install-sh ltmain.sh missing mkinstalldirs pre_config.h.in \
		Makefile.in src/Makefile.in \
		debian/{tmp,files,substvars} \
		pidgin-extprefs-0.7 \
		pidgin-extprefs-0.7-maemo \
		*stamp debian/pidgin-extprefs \
		pidgin-extprefs-mtn \
		../pidgin-extprefs{,-dbg}_*.*

.PHONY: build clean binary-indep binary-arch binary install squeaky
